<div class="loginWarp">
  <div class="col-5">
    <div class="loginCont">
      <div class="logo">
        <img src="assets/image/logo.png" alt="logo ada" />
      </div>
      <h4 class="title grey">
        Welcome to Project Ada.
      </h4>
      <form #driverForm="ngForm">
      <div class="loginPanel">
        <label class="grey">Email Address<span class="alert-msg">*</span></label>
        <input type="email" name="email" ngModel #email="ngModel" [(ngModel)]="userCredentials.userName"
               pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
        <div *ngIf="email.touched">
        <p *ngIf="email.errors?.required" class="alert-msg">Email is a required field!</p>
        <p *ngIf="email.errors?.pattern" class="alert-msg">This is not a valid Email ID!!!</p> </div>
        <br>
        <label class="grey">Password<span class="alert-msg">*</span></label>
        <input type="password" name="password" #password="ngModel" ngModel
               [(ngModel)]="userCredentials.password" required class="pwd" pattern=".{6,}"/>
        <div *ngIf="password.touched">
          <p *ngIf="password.errors?.required" class="alert-msg">password is a required field!</p>
          <p *ngIf="password.errors?.pattern" class="alert-msg">Password must be minimum 6 characters</p>
        </div>
        <br>
        <label class="grey">Repeat Password<span class="alert-msg">*</span></label>
        <input type="password" name="repeatPassword" #repeatPassword="ngModel"
               ngModel [(ngModel)]="userCredentials.repeatPassword" required class="pwd" pattern=".{6,}"/>
        <div *ngIf="repeatPassword.touched">
          <p *ngIf="repeatPassword.errors?.required" class="alert-msg">password is a required field!</p>
          <p *ngIf="repeatPassword.errors?.pattern" class="alert-msg">Password must be minimum 6 characters</p>
        </div>
      </div>
      <span class="alert-msg" >{{loginError}}</span>
      <span class="alert-msg">{{passwordLinkStatus}}</span>
       <!-- <div>
          <span class="alert-msg" *ngIf="assignmentMenuDetails.dateError">{{assignmentMenuDetails.dateError}}</span>
        </div>-->
      <ul class="loginBtnCon">
        <li>

          <!--<button class="btn btn-login btn-active"(click)="sendEmailLink()">send Reset Request</button>-->
          <button class="btn btn-login btn-active"(click)="updateUser()" [disabled]="!driverForm.form.valid">Update Password</button>
        </li>

      </ul>
      </form>
    </div>

  </div>
  <div class="col-5">
    <div class="imgCont">
      <img src="assets/image/Group 16.png"  alt="img" />
    </div>
  </div>
</div>
